Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354272 - [abrt] workrave: workrave killed by SIGSEGV
Summary: [abrt] workrave: workrave killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1357244
Alias: None
Product: Fedora
Classification: Fedora
Component: workrave
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bf2c471ae7da27c4b82e8230fc6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 05:32 UTC by Amit Shah
Modified: 2016-11-25 13:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-29 19:27:14 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-11 05:32 UTC, Amit Shah
no flags Details
File: cgroup (deleted)
2016-07-11 05:32 UTC, Amit Shah
no flags Details
File: core_backtrace (deleted)
2016-07-11 05:32 UTC, Amit Shah
no flags Details
File: dso_list (deleted)
2016-07-11 05:32 UTC, Amit Shah
no flags Details
File: environ (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details
File: exploitable (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details
File: limits (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details
File: maps (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details
File: mountinfo (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details
File: namespaces (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details
File: open_fds (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details
File: proc_pid_status (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details
File: var_log_messages (deleted)
2016-07-11 05:33 UTC, Amit Shah
no flags Details

Description Amit Shah 2016-07-11 05:32:46 UTC
Description of problem:
Started workrave in gnome-wayland session

Version-Release number of selected component:
workrave-1.10.15-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        workrave --sm-client-id 10835d5feb7f673d54146535352521299000000025840043
executable:     /usr/bin/workrave
global_pid:     2304
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   The problem is reproducible
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 XQueryExtension at QuExt.c:43
 #2 XInitExtension at InitExt.c:47
 #3 XextAddDisplay at extutil.c:110
 #4 XScreenSaverQueryExtension at XScrnSaver.c:158
 #5 XScreenSaverMonitor::init at XScreenSaverMonitor.cc:71
 #6 UnixInputMonitorFactory::get_monitor at UnixInputMonitorFactory.cc:107
 #7 ActivityMonitor::ActivityMonitor at ActivityMonitor.cc:76
 #8 Core::init_monitor at Core.cc:286
 #9 Core::init at Core.cc:171

Comment 1 Amit Shah 2016-07-11 05:32:53 UTC
Created attachment 1178233 [details]
File: backtrace

Comment 2 Amit Shah 2016-07-11 05:32:55 UTC
Created attachment 1178234 [details]
File: cgroup

Comment 3 Amit Shah 2016-07-11 05:32:57 UTC
Created attachment 1178235 [details]
File: core_backtrace

Comment 4 Amit Shah 2016-07-11 05:32:59 UTC
Created attachment 1178237 [details]
File: dso_list

Comment 5 Amit Shah 2016-07-11 05:33:01 UTC
Created attachment 1178238 [details]
File: environ

Comment 6 Amit Shah 2016-07-11 05:33:03 UTC
Created attachment 1178239 [details]
File: exploitable

Comment 7 Amit Shah 2016-07-11 05:33:05 UTC
Created attachment 1178240 [details]
File: limits

Comment 8 Amit Shah 2016-07-11 05:33:08 UTC
Created attachment 1178241 [details]
File: maps

Comment 9 Amit Shah 2016-07-11 05:33:11 UTC
Created attachment 1178242 [details]
File: mountinfo

Comment 10 Amit Shah 2016-07-11 05:33:13 UTC
Created attachment 1178243 [details]
File: namespaces

Comment 11 Amit Shah 2016-07-11 05:33:15 UTC
Created attachment 1178244 [details]
File: open_fds

Comment 12 Amit Shah 2016-07-11 05:33:17 UTC
Created attachment 1178245 [details]
File: proc_pid_status

Comment 13 Amit Shah 2016-07-11 05:33:19 UTC
Created attachment 1178246 [details]
File: var_log_messages

Comment 14 Ioan Rogers 2016-08-29 18:33:00 UTC
Similar problem has been detected:

I have workrave running on login via the gnome-shell extension.
This is the first time I tried logging into a Wayland session on this system, so I guess it's not compatable.

reporter:       libreport-2.7.2
backtrace_rating: 3
cmdline:        /usr/bin/workrave
executable:     /usr/bin/workrave
global_pid:     15341
kernel:         4.6.7-300.fc24.x86_64
package:        workrave-1.10.15-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         workrave killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1060000001

Comment 15 Yaakov Selkowitz 2016-08-29 19:27:14 UTC

*** This bug has been marked as a duplicate of bug 1357244 ***


Note You need to log in before you can comment on or make changes to this bug.